Bug 131148 - mc missing from RHEL 3
mc missing from RHEL 3
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mc (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
: FutureFeature
Depends On:
Blocks: 170445
  Show dependency treegraph
 
Reported: 2004-08-27 18:47 EDT by George Toft
Modified: 2013-07-02 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 23:20:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Toft 2004-08-27 18:47:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
Midnight Commander is missing from RHEL3.  Request reinstatement of 
the most awesome file manager ever created.  mc is an invaluable tool 
on headless systems without using a GUI or having to export displays 
to remote X servers.  Many Enterprises forbid downloading and 
installing non-supported software, so installing mc from Fedora is an 
unacceptable work-around.

This is obviously a popular program based on how easy it was to find 
people complaining about its absence.  See bug 110706, 101219
See also http://www.redhat.com/archives/taroon-list/2004-
February/msg00026.html



Version-Release number of selected component (if applicable):
n/a - it is smissing

How reproducible:
Always

Steps to Reproduce:
1.  package is not available


Additional info:
Comment 1 Jindrich Novy 2004-10-04 01:02:38 EDT
Hi George,

no question about it. mc is very helpful thing. At the moment it is
planned to be included to RHEL3. The reason why it wasn't included
before is a couple of security bugs present in it and not fully
completed UTF8ization. I'll close this when mc is included.

cheers,
Jindrich
Comment 2 George Toft 2004-10-04 08:46:30 EDT
Thank you!
Comment 3 Leos Bitto 2004-12-30 04:22:48 EST
I have just installed RHEL 3 ES Update 4, and MC is still missing
there. Is there any estimated date for including MC? In the meantime I
have downloaded the RPM package from
http://ftp.pslib.cz/pub/users/Milan.Kerslager/RHEL-3/stable/ and it
works very well.
Comment 4 Jindrich Novy 2005-01-03 04:08:31 EST
Leos, I'm waiting for the official release of mc-4.6.1. It was
supposed to be released in the end of autumn but it's not out yet. I
want to include the official release of mc in the RHEL3 update and not
a CVS snapshot. My patience is almost over though as many users need
mc for RHEL3.

Note that the RPM package you use is identical to the FC3 update that
was pushed out 7th Dec. Recent devel mc with various additional
bugfixes you can get from:

http://people.redhat.com/jnovy/files/

Comment 5 wrest 2005-02-04 09:46:15 EST
hello,

i am running RHEL3 AS on a iSeries and i dont get your rpms working...

rpm -Uhv mc-4.6.1a-0.3.ppc.rpm
error: Failed dependencies:
        libc.so.6(GLIBC_2.3.4) is needed by mc-4.6.1a-0.3

or

rpm -Uhv mc-4.6.1a-0.3.ppc64.rpm
error: Failed dependencies:
        libc.so.6(GLIBC_2.3.4)(64bit) is needed by mc-4.6.1a-0.3
        libcom_err.so.2()(64bit) is needed by mc-4.6.1a-0.3
        libext2fs.so.2()(64bit) is needed by mc-4.6.1a-0.3
        libglib-2.0.so.0()(64bit) is needed by mc-4.6.1a-0.3
        libgmodule-2.0.so.0()(64bit) is needed by mc-4.6.1a-0.3
        libslang-utf8.so.1()(64bit) is needed by mc-4.6.1a-0.3


any hints?

best regards
Comment 6 Jindrich Novy 2005-02-07 03:36:48 EST
You need to rebuild the source rpm for your machine, because the
prebuilt binary packages are compiled for Fedora, which has newer
glibc than RHEL3. That causes the failure.

I updated the links to the latest devel mc-4.6.1a-0.4 on the page.
Comment 7 Jindrich Novy 2005-02-07 03:49:33 EST
I plan to introduce mc soon into RHEL3. Could you please test:

http://sunsite.mff.cuni.cz/pub/fedora/updates/3/SRPMS/mc-4.6.1-0.12.FC3.src.rpm

on your RHEL3 boxes and report back comments? It's patched latest mc
release candidate mc-4.6.1-pre3 actually. If you don't have any
objections, I'll release RHEL3 erratum with this version of mc.
Comment 8 Jonathan Peatfield 2005-06-20 15:00:38 EDT
I guess that http://people.redhat.com/jnovy/files/mc-4.6.1a-0.10.src.rpm etc is
built against 4.6.1-pre4 released on the same day as that rpm was made (8th June)?

I see that somehow it made it into RHEL4 (mc-4.6.1-0.8.1) before the RHEL3
errata happened (unless I missed the announcement).
Comment 9 Jindrich Novy 2005-06-21 08:24:15 EDT
Nope, the mc-4.6.1a-0.10.src.rpm contains sources obtained from CVS 6th June.
Comment 10 Leos Bitto 2005-08-13 11:25:57 EDT
(In reply to comment #4)
> Leos, I'm waiting for the official release of mc-4.6.1. It was
> supposed to be released in the end of autumn but it's not out yet. I
> want to include the official release of mc in the RHEL3 update and not
> a CVS snapshot. My patience is almost over though as many users need
> mc for RHEL3.

I have noticed that the version 4.6.1 has finally been released, there even is
an updated rpm package available in Fedora Core 3. However, there still is no MC
package available in RHEL3 Update 6 Beta. Could there be MC in final Update 6?
Comment 11 Jindrich Novy 2005-08-13 11:49:27 EDT
Yes, mc-4.6.1 was finally released and FC3/FC4 versions were updated by recent
updates. It's unfortunatelly too late for U6, but adding this bug that request
the inclusion of Midnight Commander to RHEL3 on the U7 proposed list.
Comment 12 Leos Bitto 2005-08-13 12:06:19 EDT
(In reply to comment #11)
> Yes, mc-4.6.1 was finally released and FC3/FC4 versions were updated by recent
> updates. It's unfortunatelly too late for U6, but adding this bug that request
> the inclusion of Midnight Commander to RHEL3 on the U7 proposed list.

By the time when U7 will be released we will probably have all the servers
upgraded to RHEL4, which includes MC since its original release. Thanks for
trying anyway, I understand that "enterprise" usually does not mean "fast".

Note You need to log in before you can comment on or make changes to this bug.